type VoidFn = () => void;
type Updater<V> = (val: V) => V;
type Data = Record<string, unknown>;
type Setter<T> = <K extends keyof T>(key: K, updater: Updater<T[K]>) => void;
type Store<T> = T & Setter<T>;
declare let run: (fn: VoidFn) => void;
declare const resso: {
    <T extends Data>(data: T): Store<T>;
    config({ batch }: {
        batch: typeof run;
    }): void;
};

export { resso as default };
